Subject: bug#25441: 26.0.50; Can't autocomplete symbol names ending in ?

From: Drew Adams <[email-masked]>
Date: Sat, 14 Jan 2017 13:29:12 -0800 (PST)

> I've just found that the Emacs manual documents this behavior
> (? prints a list of possible completions).

Yes.  It's a really dumb design, IMHO.  I've argued for years
now that characters such as SPC and ? and C-j (newline) should
be self-inserting during completion.

After several decades, SPC was finally made self-inserting for
file-name completion (only).  Progress is slow...

Completion - ESPECIALLY `completing-read' as opposed to
`read-file-name' - is completely _general_.  There should be
no assumption that completion candidates do not contain spaces
or question marks or newline chars.  That's just silly (IMHO).

And making users use `C-q' to insert a space char is akin to
medieval torture - because it is completely unnecessary.